#!/bin/sh
#
# rogue launcher and options script
# 
# see rogue-guide.txt for details on setting ROGUEOPTS
#
# To load a saved game, specify the name of your savegame as the first argument
# ie. ./rogue.sh mysave
# 
EXE=rogue
NAME=Slaanesh
ROGUEOPTS="jump,noterse,passgo,name=$NAME,fruit=kiwifruit,file=$NAME.save"
TERMINFO=/usr/share/terminfo
TERM=linux
export ROGUEOPTS TERMINFO TERM

# Set the 80x30 font
setfont2 /usr/share/setfont2/un-fuzzy-4x8-font.pnm

# 
# Loading save game?
#
if [ $# -ge 1 ]
then
	if [ $1 = "s" ]
	then
		./$EXE -s
		exit 0
	fi
	if [ -f $1 ]
	then
		# Start with saved game
		./$EXE $1
	else
		echo "ERROR: Cannot read save game '$1'"
		exit 1
	fi
else
	# Start without saved game
	./$EXE
fi
